> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeperpam/jp/commander-cli/admin-rest-api/aram-events.md).

# ARAMイベント

管理者REST APIを使って、企業の監査およびセキュリティイベントのデータを取得

### 説明 <a href="#description" id="description"></a>

ARAMイベントエンドポイントは、Keeperの[レポート・アラートモジュール (ARAM)](/enterprise-guide/jp/event-reporting.md)によって収集された、企業向けの監査ログおよびセキュリティイベントにプログラムからアクセスするためのエンドポイントです。管理者やセキュリティ担当者は、このエンドポイントを利用して、コンプライアンス監視、セキュリティ分析、SIEM連携を目的に、監査イベントデータの取得、フィルタリング、エクスポートを行えます。

ARAMは、認証イベント、管理操作、レコード操作、共有アクティビティ、KeeperPAMの特権アクセスイベントなど、Keeperプラットフォーム全体で300種類以上のイベントタイプを記録します。監査イベントエンドポイントでは、これらのデータをREST形式のインターフェースを通じて取得できるため、カスタムアプリケーション、自動化ワークフロー、サードパーティのセキュリティツールと手軽に連携できます。

#### 要件 <a href="#prerequisites" id="prerequisites"></a>

* 有効なKeeperエンタープライズサブスクリプション
* [レポート・アラートモジュール (ARAM)](/enterprise-guide/jp/event-reporting.md)のアドオンが有効になっていること
* レポート権限を含む管理者権限
* 有効な管理者向けREST API認証情報

#### イベントカテゴリ <a href="#event-categories" id="event-categories"></a>

本エンドポイントでは、以下のカテゴリのイベントが返されます。

| カテゴリ             | 説明                                       |
| ---------------- | ---------------------------------------- |
| セキュリティイベント       | ログイン試行、2要素認証 (2FA) の変更、マスターパスワードの変更、認証失敗 |
| 管理イベント           | ユーザーのプロビジョニング、ロールの割り当て、ポリシーの変更、ノード管理     |
| レコードイベント         | レコードの作成、更新、削除、およびアクセスイベント                |
| 共有イベント           | レコードの共有、共有フォルダの操作、チームメンバーシップの変更          |
| KeeperPAMイベント    | 特権セッションの記録、接続イベント、シークレットへのアクセス           |
| シークレットマネージャーイベント | KSMアプリケーションへのアクセス、シークレットの取得、ローテーションイベント  |
| BreachWatchイベント  | 高リスクパスワードの検出、対応状況の追跡                     |

### 監査イベントの取得 <a href="#get-audit-events" id="get-audit-events"></a>

> 指定した2つの日付の間における特定のエンタープライズの監査イベントを、ページ分割形式で取得します。本エンドポイントは主にSIEM連携 (例: Azure Sentinel) で使用され、他のログ集約ツールにも対応しています。\
> \
> 結果はページ単位で返されます。次のページを取得するには、レスポンスの `continuation_token` を使用します。これ以上結果がない場合、`continuation_token` は `null`、`has_more` は `false` になります。\
> \
> 例\
> \
> curl --location '<https://keepersecurity.com/api/rest/public/events?start\\_date=2025-11-24T00%3A00%3A00Z\\&limit=20\\&end\\_date=2025-11-26T23%3A59%3A59Z>' \\\
> \--header 'x-api-token: Bearer YOUR\_API\_TOKEN'<br>

{% code overflow="wrap" %}

```json
{"openapi":"3.0.3","info":{"title":"Keeper Integration API","version":"1.0.0"},"servers":[{"url":"https://keepersecurity.com/api/rest","description":"Production environment"}],"security":[{"ApiTokenAuth":[]}],"components":{"securitySchemes":{"ApiTokenAuth":{"type":"apiKey","in":"header","name":"x-api-token"}}},"paths":{"/public/events":{"get":{"summary":"Get Audit Events","description":"Retrieves a paginated list of audit events for a specific enterprise between two\ndates. This endpoint is primarily used for SIEM integrations (e.g., Azure Sentinel)\nand is compatible with other log aggregation tools.\n\nResults are returned in pages. Use the `continuation_token` from the response\nto retrieve the next page. When there are no more results, `continuation_token`\nwill be `null` and `has_more` will be `false`.\n\nExample:\n\ncurl --location 'https://keepersecurity.com/api/rest/public/events?start_date=2025-11-24T00%3A00%3A00Z&limit=20&end_date=2025-11-26T23%3A59%3A59Z' \\\n--header 'x-api-token: Bearer YOUR_API_TOKEN'\n","tags":["Audit Events"],"parameters":[{"name":"start_date","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"end_date","in":"query","required":true,"schema":{"type":"string","format":"date-time"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","minimum":1,"maximum":1000,"default":100}},{"name":"continuation_token","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"A paginated list of audit events","content":{"application/json":{"schema":{"type":"object","properties":{"continuation_token":{"type":"string","nullable":true},"has_more":{"type":"boolean"},"events":{"type":"array","items":{"type":"object","properties":{"audit_event":{"type":"string"},"remote_address":{"type":"string"},"category":{"type":"string"},"client_version":{"type":"string"},"enterprise_id":{"type":"integer"},"username":{"type":"string"},"timestamp":{"type":"integer"}}}}}}}}},"400":{"description":"Bad request"},"401":{"description":"Unauthorized"},"500":{"description":"Server error"}}}}}}
```

{% endcode %}

**エンドポイント**

```
GET /api/rest/public/events
```

**目的**\
エンタープライズ向けに、指定した期間内の監査イベントを取得します。

**認証**\
APIトークンを `x-api-token` ヘッダーで送信します。\
`x-api-token: Bearer <API_TOKEN>`

#### クエリパラメータ <a href="#query-parameters" id="query-parameters"></a>

<table><thead><tr><th width="198.1015625">名前</th><th width="106.35546875">型</th><th width="171.8125">必須</th><th>説明</th></tr></thead><tbody><tr><td><code>start_date</code></td><td>ISO 8601</td><td>必須</td><td>期間の開始日時 (例: <code>2024-07-09T00:00:00Z</code>)</td></tr><tr><td><code>end_date</code></td><td>ISO 8601</td><td>必須</td><td>期間の終了日時 (例: <code>2025-07-10T19:45:00Z</code>)</td></tr><tr><td><code>continuation_token</code></td><td>文字列</td><td>ページネーション時のみ</td><td>APIが返すトークンを使用して、イベントの<strong>次</strong>のページを取得</td></tr></tbody></table>

#### ヘッダー <a href="#headers" id="headers"></a>

<table><thead><tr><th width="237.5390625">ヘッダー</th><th>例</th></tr></thead><tbody><tr><td><code>x-api-token</code></td><td><code>Bearer &#x3C;API_TOKEN></code></td></tr></tbody></table>

### リクエスト例 <a href="#example-requests" id="example-requests"></a>

#### **ページネーションなし**

{% code overflow="wrap" %}

```bash
curl --location 'https://keepersecurity.com/api/rest/public/events?start_date=2024-07-09T00%3A00%3A00Z&end_date=2025-07-10T19%3A45%3A00Z' \
  --header 'x-api-token: Bearer <API_TOKEN>'
```

{% endcode %}

#### **ページネーション付き**

<pre class="language-bash" data-overflow="wrap"><code class="lang-bash"><strong>curl --location 'https://keepersecurity.com/api/rest/public/events?start_date=2024-07-09T00%3A00%3A00Z&#x26;end_date=2025-07-10T19%3A45%3A00Z&#x26;continuation_token=&#x3C;CONT_TOKEN>' \
</strong>  --header 'x-api-token: Bearer &#x3C;API_TOKEN>'
</code></pre>

#### 成功レスポンスの例 (200) <a href="#example-success-response-200" id="example-success-response-200"></a>

```json
{
  "has_more": true,
  "events": [
    {
      "audit_event": "login_failure",
      "remote_address": "10.15.12.197",
      "category": "ADMIN",
      "client_version": "Commander 17.1.0",
      "enterprise_id": 8560,
      "username": "admin@example.com",
      "timestamp": 1751910807587
    }
  ],
  "continuation_token": "vWiXa0eu2edoe_fonw5IJHwEbLmxXOACIvuoQRh7j4XiKuu1"
}
```

#### エラーコード <a href="#error-codes" id="error-codes"></a>

| コード | メッセージ         | 原因                        |
| --- | ------------- | ------------------------- |
| 400 | 開始日が指定されていません | `start_date` クエリパラメータが未指定 |
| 400 | 終了日が指定されていません | `end_date` クエリパラメータが未指定   |
| 401 | 認証されていません     | APIトークンが無効、または指定されていません   |
| 500 | 内部サーバーエラー     | 想定外のサーバーエラー               |

### 付録: クイックリファレンス (コマンダー) <a href="#appendix-quick-reference-commander" id="appendix-quick-reference-commander"></a>

```bash
# 一覧表示
public-api-key list [--format table|json|csv] [--output <file>]

# 生成
public-api-key generate \
  --name "<name>" \
  --roles "SIEM:1" \
  --expires 24h|7d|30d|1y|never \
  [--format json|csv] [--output <file>]

# 取り消し
public-api-key revoke <token_value> [--force]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-cli/admin-rest-api/aram-events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
